## org.apache.ivy.plugins.namespace
Class Namespace

    java.lang.Object
      org.apache.ivy.plugins.namespace.Namespace

    public class Namespace

extends java.lang.Object

Field Summary
`static Namespace` `SYSTEM_NAMESPACE`

Constructor Summary
`Namespace()`

Method Summary
`void` `addRule(NamespaceRule rule)`
`NamespaceTransformer` `getFromSystemTransformer()`
`java.lang.String` `getName()`
`NamespaceTransformer` `getToSystemTransformer()`
`boolean` `isChainrules()`
`void` `setChainrules(boolean chainRules)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_NAMESPACE

    public static final Namespace SYSTEM_NAMESPACE

Constructor Detail

### Namespace

    public Namespace()

Method Detail

### addRule

    public void addRule(NamespaceRule rule)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getFromSystemTransformer

    public NamespaceTransformer getFromSystemTransformer()

### getToSystemTransformer

    public NamespaceTransformer getToSystemTransformer()

### isChainrules

    public boolean isChainrules()

### setChainrules

    public void setChainrules(boolean chainRules)